#
# spec file for package Xerces-c (Version 1.5.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp java libgpp libtool
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip java kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         Xerces-c
%define java_jdkdir       %(find /usr/lib -type d -name jdk\* -maxdepth 1)
%define         tarversion  1_5_1
%define         starversion 1_5
%define         tarname     xerces-c-src%{tarversion}
Copyright:    the Apache Group
Group:        System Environment/Libraries
Autoreqprov:  on
Version:      1.5.1
Release:      29
Summary:      a validating XML parser
URL:          http://xml.apache.org/xerces-c/
Source:      xerces-c-src%{tarversion}.tar.bz2
Source1:      xerces-c++.pdf
Patch:		xerces-c-src1_5_1.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
Xerces-C is a validating XML parser written in a portable subset of
C++. Xerces-C makes it easy to give your application the ability to
read and write XML data. A shared library is provided for parsing,
generating, manipulating, and validating XML documents. Xerces-C is
faithful to the XML 1.0 recommendation and associated standards ( DOM
1.0, DOM 2.0. SAX 1.0, SAX 2.0, Namespaces), The parser provides high
performance, modularity, and scalability. Source code, samples and API
documentation are provided with the parser. For portability, care has
been taken to make minimal use of templates, no RTTI, no C++
namespaces and minimal use of #ifdefs.

Authors:
--------
    The Apache Group <apache@apache.org>

SuSE series: sgm

%package devel
Requires:   Xerces-c = %{version}
Group:      Development/Libraries
Summary:      a validating XML parser

%description devel
Xerces-C is a validating XML parser written in a portable subset of
C++. Xerces-C makes it easy to give your application the ability to
read and write XML data. A shared library is provided for parsing,
generating, manipulating, and validating XML documents. Xerces-C is
faithful to the XML 1.0 recommendation and associated standards ( DOM
1.0, DOM 2.0. SAX 1.0, SAX 2.0, Namespaces), The parser provides high
performance, modularity, and scalability. Source code, samples and API
documentation are provided with the parser. For portability, care has
been taken to make minimal use of templates, no RTTI, no C++
namespaces and minimal use of #ifdefs.

Authors:
--------
    The Apache Group <apache@apache.org>

SuSE series: sgm

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n xerces-c-src%{tarversion}
%patch 

%build
export XERCESCROOT=$RPM_BUILD_DIR/%{tarname}
cd src
chmod a+x configure
sh ./runConfigure -plinux -cgcc -xg++ -minmem -nfileonly -tnative -P $RPM_BUILD_ROOT/usr
export XMLFLAGS="-DXML_USE_NATIVE_TRANSCODER -DXML_USE_INMEM_MESSAGELOADER"
#make CFLAGS="$XMLFLAGS $RPM_OPT_FLAGS" CXXFLAGS="$XMLFLAGS $RPM_OPT_FLAGS"
make 
(cd $XERCESCROOT/lib && rm -f libxerces-c.so.1 && ln -s libxerces-c.so.%{version} libxerces-c.so.1)
(cd $XERCESCROOT/lib && rm -f libxerces-c.so.1.5 && ln -s libxerces-c.so.%{version} libxerces-c.so.1.5)
(cd $XERCESCROOT/lib && rm -f libxerces-c.so && ln -s libxerces-c.so.%{version} libxerces-c.so)
cd $XERCESCROOT/samples 
chmod a+x configure
sh ./runConfigure -plinux -cgcc -xg++ -minmem -nfileonly -tnative 
#make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
gmake 

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{manualdir}
cd src
export XERCESCROOT=$RPM_BUILD_DIR/%{tarname}
make install PREFIX=$RPM_BUILD_ROOT%{_includedir}/xerces
cd ..
rm -rf bin/obj
%ifnarch ia64
install -m 755 bin/*  $RPM_BUILD_ROOT%{_bindir}
%endif
install -m 755 lib/libxerces-c.so.%{version} $RPM_BUILD_ROOT%{_libdir}
(cd $RPM_BUILD_ROOT%{_libdir} && rm -f libxerces-c.so.1 && ln -s libxerces-c.so.%{version} libxerces-c.so.1)
(cd $RPM_BUILD_ROOT%{_libdir} && rm -f libxerces-c.so && ln -s libxerces-c.so.%{version} libxerces-c.so)

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
# ---------------------------------------------------------------------------

%files
%doc doc/*
%defattr(-, root, root)
%ifnarch ia64
%{_bindir}/*
%endif
%{_libdir}/libxerces*

%files devel
%defattr(-,root,root)
%attr( - ,root,root) %{_includedir}/xercesc/
%doc $RPM_SOURCE_DIR/xerces-c++.pdf

%changelog -n Xerces-c
* Fri Aug 31 2001 - nashif@suse.de
- Update to version 1.5.1
- This release includes various bug fixes and Schema support
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue Feb 27 2001 - rolf@suse.de
- initial package 1.4.0 with devel subpackage
